BoolePolynomial.cc File Reference
`#include <list>`
`#include <set>`
`#include <iterator>`
`#include <algorithm>`
`#include <numeric>`
`#include <polybori/routines/pbori_algo.h>`
`#include <polybori/BoolePolynomial.h>`
`#include <polybori/BooleMonomial.h>`
`#include <polybori/BooleExponent.h>`
`#include <polybori/BooleSet.h>`
`#include <polybori/BoolePolyRing.h>`
`#include <polybori/BooleEnv.h>`
`#include <polybori/except/PBoRiGenericError.h>`
`#include <polybori/routines/pbori_func.h>`
`#include <polybori/iterators/PBoRiOutIter.h>`
`#include <polybori/iterators/COrderedIter.h>`
`#include <polybori/literals/CStringLiteral.h>`
`#include <polybori/routines/pbori_routines.h>`
`#include <polybori/diagram/CDDOperations.h>`
`#include <polybori/cache/CDegreeCache.h>`
`#include <polybori/iterators/CGenericIter.h>`
`#include <polybori/iterators/CExpIter.h>`
`#include <polybori/orderings/pbori_order.h>`

## Classes

class | polybori::EliminationDegreeAdder< ExponentVectorType >
class | polybori::AddEliminationDegree< SizeType >

## Namespaces

| polybori

## Macros

#define | PBORI_USE_CCUDDFIRSTITER

## Functions

BoolePolynomial::ostream_type & | polybori::operator<< (BoolePolynomial::ostream_type &, const BoolePolynomial &)
| Stream output operator. More...

## Detailed Description

Author
  Alexander Dreyer

Date
  2006-03-06

This file implements the class BoolePolymials, where carries the definition of polynomials over Booleans.

Copyright:
  (c) 2006 by The PolyBoRi Team

## Macro Definition Documentation

#define PBORI_USE_CCUDDFIRSTITER